/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2019-03-06
 * 描述            ：二级接口-平整机_L2_能耗实绩
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.Tpm.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.Tpm.mapper.IfTpm01L2EnergyMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Table;

@Table(name="IF_TPM01_L2_ENERGY", namespace=IfTpm01L2EnergyMapper.class)
public class IfTpm01L2Energy extends BaseVO implements Serializable {
	/** 
	 * 消息时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date msg_time;
	public Date getMsg_time() {
		return this.msg_time;
	}
	public void setMsg_time(Date msg_time) {
		this.msg_time = msg_time;
	}

	/** 
	 * 日期（YYYYMMDD）
	 */ 
	@Column
	private String tc_time;
	public String getTc_time() {
		return this.tc_time;
	}
	public void setTc_time(String tc_time) {
		this.tc_time = tc_time;
	}

	/** 
	 * 班次
	 */ 
	@Column
	private String shift;
	public String getShift() {
		return this.shift;
	}
	public void setShift(String shift) {
		this.shift = shift;
	}

	/** 
	 * 班别
	 */ 
	@Column
	private String crew;
	public String getCrew() {
		return this.crew;
	}
	public void setCrew(String crew) {
		this.crew = crew;
	}

	/** 
	 * 电（kwh）
	 */ 
	@Column
	private Long electricity;
	public Long getElectricity() {
		return this.electricity;
	}
	public void setElectricity(Long electricity) {
		this.electricity = electricity;
	}

	/** 
	 * 净化水（10-2T）
	 */ 
	@Column
	private Long purify_water;
	public Long getPurify_water() {
		return this.purify_water;
	}
	public void setPurify_water(Long purify_water) {
		this.purify_water = purify_water;
	}

	/** 
	 * 循环水(工业水)（10-2T）
	 */ 
	@Column
	private Long circulating_water;
	public Long getCirculating_water() {
		return this.circulating_water;
	}
	public void setCirculating_water(Long circulating_water) {
		this.circulating_water = circulating_water;
	}

	/** 
	 * 预留
	 */ 
	@Column
	private String reserver;
	public String getReserver() {
		return this.reserver;
	}
	public void setReserver(String reserver) {
		this.reserver = reserver;
	}

}
